import React, { Component, CSSProperties } from 'react';
import { PresentationAttributes } from '../util/types';
interface TextProps {
    scaleToFit?: boolean;
    angle?: number;
    textAnchor?: 'start' | 'middle' | 'end' | 'inherit';
    verticalAnchor?: 'start' | 'middle' | 'end';
    style?: CSSProperties;
    lineHeight?: number | string;
    breakAll?: boolean;
}
export declare type Props = PresentationAttributes<SVGTextElement> & TextProps;
interface Words {
    words: Array<string>;
    width?: number;
}
interface State {
    wordsByLines?: Array<Words>;
    prevWidth?: number;
    prevScaleToFit?: boolean;
    prevChildren?: React.ReactChildren;
    prevStyle?: CSSProperties;
    prevBreakAll?: boolean;
}
declare class Text extends Component<Props, State> {
    static defaultProps: {
        x: number;
        y: number;
        lineHeight: string;
        capHeight: string;
        scaleToFit: boolean;
        textAnchor: string;
        verticalAnchor: string;
    };
    state: State;
    static getDerivedStateFromProps(nextProps: Props, prevState: State): {
        prevWidth: React.ReactText;
        prevScaleToFit: boolean;
        prevChildren: React.ReactNode;
        prevStyle: React.CSSProperties;
        wordsByLines: Words[];
    };
    render(): JSX.Element;
}
export default Text;
